---
base_model:
- deepseek-ai/DeepSeek-R1-Distill-Qwen-7B
- Qwen/Qwen2.5-7B-Instruct
- Qwen/Qwen2.5-Coder-7B-Instruct
library_name: transformers
tags:
- mergekit
- merge

---
# merged-model

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [DARE TIES](https://arxiv.org/abs/2311.03099) merge method using [Qwen/Qwen2.5-7B-Instruct](https://huggingface.co/Qwen/Qwen2.5-7B-Instruct) as a base.

### Models Merged

The following models were included in the merge:
* [deepseek-ai/DeepSeek-R1-Distill-Qwen-7B](https://huggingface.co/deepseek-ai/DeepSeek-R1-Distill-Qwen-7B)
* [Qwen/Qwen2.5-Coder-7B-Instruct](https://huggingface.co/Qwen/Qwen2.5-Coder-7B-Instruct)

### Configuration

The following YAML configuration was used to produce this model:

```yaml

models:
  - model: Qwen/Qwen2.5-7B-Instruct
    parameters:
      weight: 0.3
  - model: Qwen/Qwen2.5-Coder-7B-Instruct
    parameters:
      weight: 0.4
  - model: deepseek-ai/DeepSeek-R1-Distill-Qwen-7B
    parameters:
      weight: 0.3

merge_method: dare_ties
base_model: Qwen/Qwen2.5-7B-Instruct
parameters:
  density: 0.8
  normalize: true
dtype: bfloat16

```
